Wary Puppy 5.5 Release Candidate

This is taking everyone by surprise!

Wary Puppy brief Release Notes:
http://distro.ibiblio.org/quirky/test/wary-5.4.90/wary-5.5rc-readme.htm

Download:
http://distro.ibiblio.org/quirky/test/wary-5.4.90/

The live-CD is 139MB, but remember, the packages were compiled on T2, with minimum dependencies. Wary has heaps of very large analog (dialup) modem drivers in that ISO file, also the SFS file inside the live-CD is gzipped, not xz'ed like other recent pups -- a running pup loads apps noticeably faster on old hardware off the SFS file, when it is gzipped.

Meaning, we can get close to 100MB if we want to.
Which introduces Racy Puppy. Racy RC is also coming soon.


Posted on 26 Feb 2013, 8:42


Comments:

Posted on 26 Feb 2013, 8:28 by BarryK
Wary 5.5RC Forum feedback
I started a Forum thread for feedback:

http://murga-linux.com/puppy/viewtopic.php?p=687764#687764



Posted on 26 Feb 2013, 8:38 by don570
faster download site

faster download site for wary

http://ftp.nluug.nl/ibiblio/distributions/quirky/test/wary-5.4.90/


Posted on 26 Feb 2013, 9:29 by don570
German language rightclick menu

I have invented a new method of putting
foreign translations in the right click menu.

So far only German but any language could be quickly transformed. L18L pointed out that this method isn't viable for Woof. It is intended
to be installed right after first installation
when everything is fresh.

http://murga-linux.com/puppy/viewtopic.php?p=687786#687786

.


Posted on 26 Feb 2013, 11:03 by Dewbie
Cutting the fat
Meaning, we can get close to 100MB if we want to.
You're being unusually cryptic, Barry.
What do you have in mind?


Posted on 26 Feb 2013, 12:21 by aarf
compatibility
tell us why we cant have both xz and gzip because it is messing up the compatibility we sough to achieve. we can now (supposedly) use stuff from other places but inter-puppy compatibility now isnt happening. tell us why gzip or xz cant be put in the dependencies when a new pet or sfs is installed?


Posted on 26 Feb 2013, 14:09 by scsijon
compability +unrar
@aarf, they are different packages and sometimes the output format is different as well as the variables, also not all packages can be uncompressed sucessfully by both. Also, memory requirement, speed of decompression and cpu useage is different.

@BarryK and others, I don't know how true it is yet, as i'm awaiting a reply, but I have been notified through two mailing lists in the last week that unrar4 is a non-oss package.

I go away for a few days to help a friend have a decent holliday and 814 emails on my return! I shall worry about the new jwm tomorrow.


Posted on 26 Feb 2013, 14:33 by BarryK
Re compatibility
Gzip or xz compression in a squashfs 4.0 filesystem should not make any compatibility problems.
It only affects size of sfs file and filesystem access speed, xz being smaller but slower.

This has nothing to do with the old squashfs 3 versus 4 incompatibility, in case that is what you are thinking of.



Posted on 26 Feb 2013, 14:43 by BarryK
Wary has uniprocessor kernel
I have just been reading the feedback on the Forum. Most of you guys have multi-core CPUs, even some of those that apparently only have one core, in effect have two cores (due to multi-threading piping I suppose).

But Wary only has a uniprocessor kernel, so you are always only using one core.

Someone could build a Wary with SMP kernel if they want, but anyway, Racy will have a very recent SMP kernel -- as that is the purpose of Racy, to have all the benefits of Wary but target more recent hardware.



Posted on 26 Feb 2013, 14:57 by Terryphi
Racy
I am very pleased to see that you are planning to update Racy too.


Posted on 26 Feb 2013, 15:40 by BarryK
Re Racy
The downside with Racy and recent kernel is that it won't have all the analog modem drivers, but it will have some of them.



Posted on 26 Feb 2013, 17:17 by Terryphi
Racy Libs
What Racy really needs is library updates to allow the latest versions of Chromium and Firefox to run.

This is probably quite an undertaking and more than you want to take on.


Posted on 26 Feb 2013, 18:44 by aarf
wary5490
manual frugal to folder sdcard failed to find sfs> copy folder from sdcard to sda5 boot.
800x640 pixels on probe. setup to xorgwizard produces a black screen so hard shutdown.
reboot.> wifi, screenshot, install firefox from ppm, seamonkey, savefile make, all working fine.

re sdcard fail > sometimes i think the devs have all the bugs written down of pieces of paper in a large magicans hat, come release time they select a few at random and add them to the new release just so they can get feedback.
not doing torrents or deltas for this wary.


Posted on 26 Feb 2013, 22:20 by Ramachandran
Racy
I wants to run chromium in Racy. Please provide Sir. This is long pending demand. Chromium is not working in Wary or Racy due to dependency files. Therefore, Sir please do the needful in this regard.